ListTableMigrations
Lists the migrations whose destination is in a table bucket, a namespace or a table. Specify a tableBucketARN to list the migrations into a table bucket, and add a namespace, or a namespace and a name, to narrow the list. Or specify a tableARN to list the migrations into a table.
Migrations are listed newest first. Results are paginated: use maxResults to set the page size, and pass the nextToken from a response to retrieve the next page of results. A page can contain fewer migrations than maxResults, or none, and still return a nextToken. Continue until a response has no nextToken.
- Permissions
-
-
You must have the
s3tables:ListTableMigrationspermission to use this operation.
-
Request Syntax
GET /list-table-migrations?hasValidPlan=hasValidPlan&maxResults=maxResults&name=name&namespace=namespace&nextToken=nextToken&state=state&tableARN=tableARN&tableBucketARN=tableBucketARN HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- hasValidPlan
-
The
hasValidPlanvalue to filter the list by. Migrations that are still planning aren't listed, whichever value you specify. - maxResults
-
The maximum number of migrations to return, from 1 to 1,000. If you don't specify a value, the default is 100.
Valid Range: Minimum value of 1. Maximum value of 1000.
- name
-
The name of the table to list migrations for. Requires
tableBucketARNandnamespace.Length Constraints: Minimum length of 1. Maximum length of 255.
Pattern:
[0-9a-z_]* - namespace
-
The namespace to list migrations for. Requires
tableBucketARN.Length Constraints: Minimum length of 1. Maximum length of 255.
Pattern:
[0-9a-z_]* - nextToken
-
The
nextTokenfrom a previous response, to get the next page of results.Length Constraints: Minimum length of 1. Maximum length of 2048.
- state
-
The state to filter the list by. For the valid values, see the
statemember ofGetTableMigration.Valid Values:
new | planning | pendingReview | queued | migrating | succeeded | failed | cancelling | cancelled - tableARN
-
The Amazon Resource Name (ARN) of the table to list migrations for. The list includes the migrations into this table. To also list migrations into an earlier table of the same name, specify
tableBucketARN,namespaceandnameinstead. Specify eithertableARNortableBucketARN, not both.Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63}/table/[a-zA-Z0-9-_]{1,255}) - tableBucketARN
-
The Amazon Resource Name (ARN) of the table bucket to list migrations for.
Pattern:
(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63})
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"migrations": [
{
"createdAt": "string",
"hasValidPlan": boolean,
"migrationId": "string",
"name": "string",
"namespace": "string",
"state": "string",
"stateUpdatedAt": "string",
"tableARN": "string",
"tableBucketARN": "string",
"type": "string"
}
],
"nextToken": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- migrations
-
The migrations, newest first.
Type: Array of MigrationSummary objects
- nextToken
-
A token to pass as
nextTokento get the next page of results. If there are no more results, this value isn't returned.Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Errors
- AccessDeniedException
-
The action cannot be performed because you do not have the required permission.
HTTP Status Code: 403
- BadRequestException
-
The request is invalid or malformed.
HTTP Status Code: 400
- ForbiddenException
-
The caller isn't authorized to make the request.
HTTP Status Code: 403
- InternalServerErrorException
-
The request failed due to an internal server error.
HTTP Status Code: 500
- NotFoundException
-
The request was rejected because the specified resource could not be found.
HTTP Status Code: 404
- TooManyRequestsException
-
The limit on the number of requests per second was exceeded.
HTTP Status Code: 429
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: